<div 
    class="flex-row-space-between status-container"       
    [ngClass]="statusNotificationDetails.isSuccess ? 'success-status' : 'error-status'"
>
  <div class="status-container-content">
    <div class="flex-row gap-2">
      <mat-icon class="status-icon">
        {{ statusNotificationDetails.isSuccess ? 'check_circle' : 'error' }}
      </mat-icon>
      <div>
        <p class="notification-title">{{statusNotificationDetails.title | translate}}</p>
        <p *ngIf="statusNotificationDetails.body">{{statusNotificationDetails.body | translate}}</p>
      </div>
    </div>
  </div>
  <button mat-icon-button (click)="dismissStatusNotification.emit()"
    [matTooltip]="'COMMON.DISMISS_STATUS_NOTIFICATION' | translate"
    [attr.aria-label]="'COMMON.DISMISS_STATUS_NOTIFICATION' | translate">
    <mat-icon>close</mat-icon>
  </button>
</div>